# Uses of Class
org.eclipse.birt.report.model.api.olap.DimensionHandle

Packages that use DimensionHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.olap

## Uses of DimensionHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return DimensionHandle
Modifier and Type
Method
Description
`final DimensionHandle`
ModuleHandleImpl.`findDimension(String name)`
Finds a dimension element by name in this module and the included modules.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type DimensionHandle
Modifier and Type
Method
Description
`List<DimensionHandle>`
ModuleHandleImpl.`getAllSharedDimensions()`
Gets all the shared dimensions defined or accessed by this module.

## Uses of DimensionHandle in org.eclipse.birt.report.model.api.olap

Subclasses of DimensionHandle in org.eclipse.birt.report.model.api.olap
Modifier and Type
Class
Description
`class`
`OdaDimensionHandle`
Represents a dimension element in the cube element.
`class`
`TabularDimensionHandle`
Represents a dimension element in the cube element.
Methods in org.eclipse.birt.report.model.api.olap that return DimensionHandle
Modifier and Type
Method
Description
`DimensionHandle`
CubeHandle.`getDimension(String dimensionName)`
Gets the dimension with the specified name within this cube.
`DimensionHandle`
CubeHandle.`getDimension(String dimensionName, boolean needLevelForTimeDimension)`
`DimensionHandle`
CubeHandle.`getLocalDimension(String dimensionName)`
Gets the dimension with the specified name within this cube.
`DimensionHandle`
TabularDimensionHandle.`getSharedDimension()`
Returns the dimension object that this dimension refers to.
Methods in org.eclipse.birt.report.model.api.olap with parameters of type DimensionHandle
Modifier and Type
Method
Description
`void`
TabularDimensionHandle.`setSharedDimension(DimensionHandle handle)`
Sets the dimension object this dimension refers to.